readChp {affxparser} | R Documentation

## A function to read Affymetrix CHP files

### Description

This function will parse any type of CHP file and return the results in a list. The contents of the list will depend on the type of CHP file that is parsed and readers are referred to Affymetrix documentation of what should be there, and how to interpret it.

### Usage

    readChp(filename, withQuant = TRUE)

### Arguments

`filename` | The name of the CHP file to read.
`withQuant` | A boolean value, currently largely unused.

### Details

This is an interface to the Affymetrix Fusion SDK. The Affymetrix documentation should be consulted for explicit details.

### Value

A list is returned. The contents of the list depend on the type of CHP file that was read. Users may want to translate the different outputs into specific containers.

### Troubleshooting

It is considered a bug if the file contains information not accessible by this function, please report it.

### Author(s)

R. Gentleman

### See Also

`readCel`

### Examples

    if (require("AffymetrixDataTestFiles")) {
    path <- system.file("rawData", package="AffymetrixDataTestFiles")
    files <- findFiles(pattern="[.](chp|CHP)$", path=path,
                       recursive=TRUE, firstOnly=FALSE)

    s1 = readChp(files[1])
    length(s1)
    names(s1)
    names(s1[[7]])
    }

[Package affxparser version 1.16.0 Index]